#
# spec file for package ghc-tasty
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name tasty
Name:           ghc-%{pkg_name}
Version:        1.0.1.1
Release:        6.5
Summary:        Modern and extensible testing framework
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-clock-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-unbounded-delays-devel
BuildRequires:  ghc-unix-devel

%description
Tasty is a modern testing framework for Haskell. It lets you combine your unit
tests, golden tests, QuickCheck/SmallCheck properties, and any other types of
tests into a single test suite.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update tasty to version 1.0.1.1.
  A more detailed change log is not available.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.11.2.3.
* Tue Jul 11 2017 psimons@suse.com
- Update to version 0.11.2.2.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.11.2.1 with cabal2obs.
* Mon May  8 2017 psimons@suse.com
- Update to version 0.11.2 revision 1 with cabal2obs.
* Mon Feb 20 2017 psimons@suse.com
- Update to version 0.11.2 with cabal2obs.
* Thu Jan 26 2017 psimons@suse.com
- Update to version 0.11.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.11.0.4 revision 0 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.11.0.3 revision 1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.11.0.3 revision 0 with cabal2obs.
* Sat Apr 30 2016 mimi.vx@gmail.com
- update to 0.11.0.3
  * Switch from regex-tdfa-rc to regex-tdfa
* Mon Feb 22 2016 psimons@suse.com
- initial version tasty-0.11.0.2
